Bug 253880

Summary: net/freerdp: Update to 2.3.2 + add JPEG support
Product: Ports & Packages Reporter: VVD <vvd>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Some People CC: tcberner
Priority: --- Flags: bugzilla: maintainer-feedback? (kevans)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/FreeRDP/FreeRDP/releases/tag/2.3.2
Attachments:
Description Flags
Update to 2.3.0
none
Update to 2.3.0, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF
none
Update to 2.3.0, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF (v3)
none
Update to 2.3.1, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF (v4)
none
Update to 2.3.1, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF, take maintainership (v5)
vvd: maintainer-approval+
Update to 2.3.2, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF, take maintainership (v6) vvd: maintainer-approval+

Description VVD 2021-02-26 19:38:16 UTC
Created attachment 222854 [details]
Update to 2.3.0

Tested on 12.2 amd64: check-plist, stage-qa, install, run.

Important notes:

    CMake option WITH_PROXY_MODULES is currently experimental, do not use in
    production.
    The clipboard struct FILEDESCRIPTOR was replaced by FILEDESCRIPTORW with
    proper data types. They are binary compatible and the former is kept for
    compatibility but compilers will emit warnings.

Noteworthy changes:

    Websocket support for proxy connections
    Progressive codec improvements. Reduces graphical glitches against windows
    and ogon servers
    Fixed +glyph-cache, now working properly without disconnects
    Huge file support in clipboard
    XWayland support for xfreerdp (keyboard grabbing)
    Improved wlfreerdp (wayland client)
    Option to allow keyboard scancodes to be remapped manually
    Improved mouse wheel behaviour when scrolling
    Improved dynamic channel behaviour, more stable event detection
    New connection state PubSub notification: Clients can now monitor current
    connection state

Fixed issues:

    #6626: Fixed parsing of FastGlyph order.
    #6624: Added support for xwayland keyboard grab
    #6492: Added clipboard CB_HUGE_FILE_SUPPORT_ENABLED flag
    #6428: Improve NLA error code logging.
    #6416: Http gateway message support
    #6753: List of pull requests to backport for stable-next
Comment 1 VVD 2021-02-27 10:23:52 UTC
Created attachment 222859 [details]
Update to 2.3.0, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF
Comment 2 VVD 2021-02-27 11:04:39 UTC
Created attachment 222860 [details]
Update to 2.3.0, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF (v3)
Comment 3 VVD 2021-03-09 01:12:19 UTC
Created attachment 223106 [details]
Update to 2.3.1, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF (v4)

FreeRDP version 2.3.1
Noteworthy changes:
 * This is a compatibility bugfix release readding some (deprecated) symbols/defines
 * Also add some more EXPERIMENTAL warnings to CMake flags as some were not clear enough.
 * Fixed a memory leak in xfreerdp (mouse pointer updates)
 * No longer activating some compile time debug options with -DWITH_DEBUG_ALL=ON which might leak sensitive information.
 * Added -DDEFINE_NO_DEPRECATED for developers to detect use of deprecated symbols.
Comment 4 VVD 2021-03-14 13:21:35 UTC
Maintainer timeout?
Comment 5 Kyle Evans freebsd_committer 2021-03-14 17:29:47 UTC
(In reply to VVD from comment #4)

Hi,

Would you like to take MAINTAINER on this while you're here?
Comment 6 VVD 2021-03-14 22:48:38 UTC
Created attachment 223273 [details]
Update to 2.3.1, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF, take maintainership (v5)
Comment 7 VVD 2021-03-21 19:06:54 UTC
Can somebody commit it?
Comment 8 VVD 2021-03-21 19:21:15 UTC
Created attachment 223491 [details]
Update to 2.3.2, CMAKE_ARGS => CMAKE_ON & CMAKE_OFF, take maintainership (v6)

New version released.

https://github.com/FreeRDP/FreeRDP/releases/tag/2.3.2
Noteworthy changes:

    Fixed autoreconnect printer backend loading
    Fixed compilation on older mac os versions < 10.14
    Fixed mouse pointer move with smart-sizing
    Added command line option to disable websocket gateway support
    Fixed drive hotplugging issues with windows
    Fixed smartcard issues on mac

Fixed issues:

    #6900: Transparency issues with aFreeRDP
    #6848: Invalid format string in smartcard trace
    #6846: Fixed static builds
    #6888: Crash due to missing bounds checks
    #6882: Use default sound device on mac
Comment 9 commit-hook freebsd_committer 2021-03-29 09:51:44 UTC
A commit references this bug:

Author: tcberner
Date: Mon Mar 29 09:51:06 UTC 2021
New revision: 569458
URL: https://svnweb.freebsd.org/changeset/ports/569458

Log:
  net/freerdp: Update to 2.3.2

  - add JPEG support
  - give maintainership to VVD <vvd@unislabs.com>

  Changelog:
  	https://github.com/FreeRDP/FreeRDP/releases/tag/2.3.2

  PR:		253880
  Submitted by:	VVD <vvd@unislabs.com>
  Approved by:	kevans (previous maintainer)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo
  head/net/freerdp/pkg-descr
  head/net/freerdp/pkg-plist
Comment 10 VVD 2021-03-29 10:51:52 UTC
Thanks!